equalize {EBImage} | R Documentation

## Histogram equalization

### Description

Equalize the histogram of an image.

### Usage

      equalize(x)

### Arguments

`x` | An `Image` object or an array.

### Details

The algorithm used by this ImageMagick function is not well defined.

### Value

An `Image` object or an array, containing the transformed version of `x`.

### Author(s)

Oleg Sklyar, osklyar@ebi.ac.uk, 2006-2007

### References

ImageMagick: http://www.imagemagick.org.

### Examples

      x = readImage(system.file("images", "lena.gif", package="EBImage"))
      if (interactive()) display(x)

      y = equalize(x)
      if (interactive()) display(y, title='equalize(x)')

[Package EBImage version 3.0.5 Index]